From e258eefad11198b27f849e44bf560e4d508bb1f4 Mon Sep 17 00:00:00 2001
From: "Alan J. Pippin" <alan@pippins.net>
Date: Wed, 13 Feb 2019 22:50:23 -0700
Subject: [PATCH] Tweaked replicate script to show open file handles when it
 can't export backup pool

Change-Id: I729b1436a7aa250b639caf3a1fb4a72de492bb6a
---
 zfs-replicate-all | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/zfs-replicate-all b/zfs-replicate-all
index 44ca551..6fc9bfc 100755
--- a/zfs-replicate-all
+++ b/zfs-replicate-all
@@ -50,11 +50,15 @@ cleanup_and_exit() {
 }
 trap cleanup_and_exit INT
 
-fatal_and_exit() {
+fatal() {
   # echo message to terminal
   echo -e 2>&1 "$1"
   # send email notification
   echo -e "$1" | $mailx -s "zfs-replicate-all on $hostname failed" "$mailto"
+}
+
+fatal_and_exit() {
+  fatal $*
   exit 1
 }
 
@@ -135,7 +139,8 @@ if [[ $import_export_backup_pool == 1 ]]; then
   if [ $? != 0 ]; then
     zpool export $backup_pool
     if [ $? != 0 ]; then
-      fatal_and_exit "-E- unable to export the local backup pool $backup_pool on $hostname" "$mailto"
+      lsof /$backup_pool/*
+      fatal("-E- unable to export the local backup pool $backup_pool on $hostname")
     fi
   fi
 fi
-- 
2.34.1